> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop workspace extraction

> Stop a workspace extraction run.

**Operation ID:** `http.graph.workspaces.stop_extraction`

```http theme={null}
POST /v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/stop-extraction
```


## OpenAPI

````yaml openapi.json POST /v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/stop-extraction
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/stop-extraction:
    post:
      tags:
        - Review workspaces
      summary: Stop workspace extraction
      description: |-
        Stop a workspace extraction run.

        Product guidance: [Workspace](/concepts/workspace).
      operationId: http.graph.workspaces.stop_extraction
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: ws
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/http_graph_workspaces_stop_extraction_request
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/http_graph_workspaces_stop_extraction_response
      security:
        - bearerAuth: []
components:
  schemas:
    http_graph_workspaces_stop_extraction_request:
      type: object
      properties:
        run_id:
          description: The extraction run to stop.
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        request_id:
          description: >-
            Caller-chosen attribution for this stop request; the first request
            stamps it.
          type: string
          minLength: 1
          maxLength: 256
      required:
        - run_id
        - request_id
      additionalProperties: false
    http_graph_workspaces_stop_extraction_response:
      type: object
      properties:
        data:
          type: object
          properties:
            workspace:
              type: object
              properties:
                id:
                  type: string
                creation_origin:
                  type: string
                name:
                  type: string
                description:
                  anyOf:
                    - type: string
                    - type: 'null'
                status:
                  type: string
                  enum:
                    - open
                    - submitted
                    - applied
                    - closed
                revision:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                item_count:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                shape:
                  anyOf:
                    - type: object
                      properties:
                        shape_id:
                          type: string
                        artifact_digest:
                          type: string
                      required:
                        - shape_id
                        - artifact_digest
                      additionalProperties: {}
                    - type: 'null'
                bindings:
                  type: array
                  items:
                    type: object
                    properties:
                      shape_id:
                        type: string
                      artifact_digest:
                        type: string
                    required:
                      - shape_id
                      - artifact_digest
                    additionalProperties: {}
                bridge_set:
                  anyOf:
                    - type: object
                      properties:
                        digest:
                          type: string
                        declaration_count:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                      required:
                        - digest
                        - declaration_count
                      additionalProperties: {}
                    - type: 'null'
                created_at:
                  type: string
                updated_at:
                  type: string
                applied_at:
                  anyOf:
                    - type: string
                    - type: 'null'
                replaced_by:
                  type: string
              required:
                - id
                - creation_origin
                - name
                - description
                - status
                - revision
                - item_count
                - shape
                - bindings
                - bridge_set
                - created_at
                - updated_at
                - applied_at
              additionalProperties: {}
            schema:
              type: string
              const: penumbra.graph-extraction-stop
            version:
              type: number
              const: 1
            run_id:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            status:
              type: string
              enum:
                - cancelled
                - stopping
                - settled
          required:
            - workspace
            - schema
            - version
            - run_id
            - status
          additionalProperties: false
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.